## org.flexdock.docking.props
Class PropertyChangeListenerFactory

    java.lang.Object
      org.flexdock.docking.props.PropertyChangeListenerFactory

Direct Known Subclasses:
  DockablePropertyChangeHandler.Factory, DockablePropertyChangeHandler.Factory

    public abstract class PropertyChangeListenerFactory

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`PropertyChangeListenerFactory()`

Method Summary
`static void` `addFactory(PropertyChangeListenerFactory factory)`
`abstract java.beans.PropertyChangeListener` `getListener()`
`static java.beans.PropertyChangeListener[]` `getListeners()`
`static void` `removeFactory(PropertyChangeListenerFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeListenerFactory

    public PropertyChangeListenerFactory()

Method Detail

### addFactory

    public static void addFactory(PropertyChangeListenerFactory factory)

### removeFactory

    public static void removeFactory(PropertyChangeListenerFactory factory)

### getListeners

    public static java.beans.PropertyChangeListener[] getListeners()

### getListener

    public abstract java.beans.PropertyChangeListener getListener()